<!DOCTYPE html>
<html>
	<head>
	
		<title>Code of Ethics</title>
  
	</head>
		<!-- Heading tag h2 , added background color-->
		<body style=" background-color: lightblue;">

			<p><em>Science and Engineering Ethics(2001) 7, 231-238</em>   </p>

			<!-- added thematic break <hr> -->
			<hr>

			<h2>Software Engineering Code of Ethics and Professional Practice</h2>
			<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
			
			<hr>

			<h5><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</h5>
			<h3>PREAMBLE</h3>

			<!-- ADDING A NEW PARAGRAPH -->
			<p>The short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details become legalistic and tedious; without the details,the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
			</p>

			<!-- 2nd Paragraph -->

			<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respeted profession, In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

			<!-- Added new Bullet ol (ordered list) -->

			<h3>PRINCIPLES</h3>

			<ol>
				<li><em>Public.</em>Software engineers shall act consistently with the public iterest.</li>
				<li><em>Client and employer.</em>Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>	
				<li><em>Product.</em>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
				<li><em>Judgment.</em>Software engineers shall maintain integrity and independence in their professional judgment.</li>	
				<li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
				<li><em>Profession.</em>Sftware engineers shall advance the integrity and reputation og the profession consistent with the public interest.</li>	
				<li><em>Colleagues.</em>Software engineers shall be fair to and supportive of their colleagues.</li>	
				<li><em>Self.</em>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach o the practice of the profession</li>

			</ol>


		</body>
</html>